Bug 88765 - How to you configure X if you can't get a display?
How to you configure X if you can't get a display?
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-13 15:23 EDT by Brad
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-14 04:34:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad 2003-04-13 15:23:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
If your display settings are incorrect for your display adaptor/monitor pair and
your X display doesn't work, then you need to be able to configure X with the
CIF. Xconfigurator was very good for this, but now I have to manually edit X
configuration files in /etc/X11/XF86Config.

This is very cumbersome and will be beyond the majority of users. Please bring
back Xconfigurator or an equivalent.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. See desctiption
2.
3.
    

Additional info:
Comment 1 Mike A. Harris 2003-04-14 04:34:22 EDT
No.  Xconfigurator is gone, and it is never going to come back.

<singing>
It is gone gone gone, it's ben gone so long, it's been gone gone gone so
long so long.  I hope you get the message, hear it on the radioooo..
Xconfigurator is gone, and it ain't coming back oh no...  It's gooooooooone,
it was unmaintainnn-able, it's goooooonne, you should obstain from it.
It's beeeeen replaceeed by redhat-config-xfree86.
</singing>

Ok, that last part did not rhyme or follow the beat of the song to well.
I suppose I owe an apology to Chilliwack for killing that song.  Nonetheless,
it suited my purposes well.  <grin>

The solution to your problem, is to read and use the commandline options
that are available in our config tool.  Misunderstanding of how to use a tool,
and inability to use a tool, or to learn what it does actually do - does not
constitute a feature, and does not mean that a tool can't do things that it
does in fact do.

Ok, that was my best Mike Brady impression.  (yes, the Brady bunch).

The short story:  redhat-config-xfree86 --reconfig

redhat-config-xfree86 --help

Also, if you require any tech support, or assistance using the
redhat-config-xfree86, please join one of our mailing lists such as
shrike-list and ask people how to do what it is you are wanting to do.
Most likely, a more experienced user will be able to help you.

If there is actually something that the command does not do, which you
would like to see it be able to do, and you have looked at the various
options that are there that it does do and none jump out at you, feel
free to file a feature enhancement request for redhat-config-xfree86

Other than that, I can only say one thing....  Xconfigurator is definitely
not coming back into Red Hat Linux ever.  Not even if someone gets 10
million people to sign a petition, and gives me (or Red Hat) one billion
dollars.  We can not be bought.

One look at the Xconfigurator source code should be sufficient to scare
anyone away from considering to ask for it anyway.


Note You need to log in before you can comment on or make changes to this bug.